eoUniformAtomExchange(3)

NAME
eoUniformAtomExchange - Uniform crossover - well, not really, efficient for FixedLength.

SYNOPSIS

#include <eoVariableLengthCrossover.h>

Inherits eoAtomExchange< Atom >< Atom >.

  Public Member Functions
eoUniformAtomExchange (double _rate=0.5)
void randomize (unsigned _size1, unsigned _size2)
randomize: fill the mask: the exchange will be simulated first to see if sizes are OK, so it must be repeatable : the mask has to be a private data, cannot be computed on the fly
bool operator() (unsigned _i, Atom &)
the operator() simply returns the mask booleans in turn
virtual std::string className () const
inherited className()

  Private Attributes
double rate
std::vector< bool > mask

Detailed Description

  template<class Atom> class eoUniformAtomExchange< Atom >
Uniform crossover - well, not really, efficient for FixedLength.

Definition at line 52 of file eoVariableLengthCrossover.h.

Author

Generated automatically by Doxygen for EO from the source code.